petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetLocalSize

Returns the number of rows and columns in a matrix stored locally. This information may be implementation dependent, so use with care.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLocalSize(Mat mat,PetscInt *m,PetscInt *n)

Not Collective Many br

### Input Parameters

mat -the matrix Many br

### Output Parameters

| m | - the number of local rows Many br
| n | - the number of local columns Many br

Note: both output parameters can be NULL on input. Many br

Many br

### See Also

MatGetSize()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex12.c.html